Bug 438236 - user-switching and gnome-volume-manager prevent k3b from copying CDs as normal user
user-switching and gnome-volume-manager prevent k3b from copying CDs as norma...
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-19 16:08 EDT by John Levon
Modified: 2015-01-14 18:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 01:13:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Levon 2008-03-19 16:08:02 EDT
Description of problem:

Using k3b, I can't copy CDs as a normal user. It complains
permission denied when trying to open /dev/sr0. This happens
even if I chown the device to my user (moz)

I have to run k3b as root.

Note that burning CD/DVDs works fine, it's just copying.

Version-Release number of selected component (if applicable):


How reproducible:

Every time.

Steps to Reproduce:
1. Load k3b, choose copy CD as a normal user
2. observe error message
Actual results:

Error about /dev/sr0 being permission denied

Expected results:

Able to copy CD

Additional info:
Comment 1 Rex Dieter 2008-03-19 18:43:49 EDT
ConsoleKit is supposed to give permissions to such devices on login.

How are you logging in?  What destkop environment are you using?
Comment 2 John Levon 2008-03-19 19:23:49 EDT
I'm using gnome and logging in on the real machine via gdm.

Note that I'm using user-switcher for another account.

Note that I tried chown'ing the device without success.

I get on stderr:

(K3bDevice::HalConnection) lock queued for
Error trying to open /dev/sr0 exclusively (Device or resource busy). retrying in
1 second.
Error trying to open /dev/sr0 exclusively (Device or resource busy). retrying in
1 second.

How do I find out what this is? lsof doesn't list anything suspicious.
Comment 3 Harald Hoyer 2008-03-20 08:33:56 EDT
Comment 4 John Levon 2008-03-20 13:17:37 EDT
Another user is running that:

helen     3770     1  0 Feb22 ?        00:00:00 gnome-volume-manager
--sm-client-id default4

as well as me. Killing that lets me continue.

So this looks like a user-switching bug - gnome-volume-manager is locking
k3b out.
Comment 5 John Levon 2008-03-25 10:19:35 EDT
BTW this is a perennial problem with user-switching: it's clearly very buggy in
F8. For example, to able to use the sound card, I have to constantly run:

for i in /dev/snd/*; do setfacl -m user:moz:rw- $i ; done

where "moz" is my user.
Comment 6 Rex Dieter 2008-08-04 11:10:41 EDT
ok, I think we've established this to be *not* a k3b bug, reassigning to
gdm (user-switch-applet).  It's either (ConsoleKit) permissions or gnome-volume-manager seems to be the culprit.
Comment 7 Bug Zapper 2008-11-26 05:13:24 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 8 Bug Zapper 2009-01-09 01:13:31 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.